%define	module	Exception-Class
%define	name	perl-%{module}
%define	version	1.24
%define	release	%mkrel 2

Summary: 	A module that allows you to declare real exception classes in Perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Url: 		http://search.cpan.org/dist/%{module}/
Source: 	http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/%{module}-%{version}.tar.bz2
Requires: 	perl-Class-Data-Inheritable >= 0.02
Requires:	perl-Devel-StackTrace >= 0.9
BuildRequires:	perl-Class-Data-Inheritable
BuildRequires:  perl-Devel-StackTrace
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
This module allows you to declare hierarchies of exception classes for use
in your code. It also provides a simple exception class that it uses as the
default base class for all other exceptions.

%prep
%setup -q -n %{module}-%{version}
chmod 644 Changes LICENSE lib/Exception/Class.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE
%{perl_vendorlib}/Exception
%{_mandir}/*/*


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.24-2mdv2009.0
+ Revision: 268504
- rebuild early 2009.0 package (before pixel changes)

* Thu Apr 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-1mdv2009.0
+ Revision: 195407
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.23-2mdv2008.0
+ Revision: 64796
- rebuild


* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.23-1mdk
- New release 1.23

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.22-1mdk
- New release 1.22
- spec cleanup
- fix sources url
- better url
- better summary
- %%mkrel
- make test in %%check
- fix directory ownership

* Wed May 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.21-1mdk
- 1.21

* Tue Jan 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.20-1mdk
- 1.20
- Restore tests

* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.19-1mdk
- 1.19
- wipe out buildroot in %%install, not %%prep
- use %%makeinstall_std macro
- drop test for now

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.14-1mdk
- 1.14.

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.01-4mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.01-3mdk
- rebuild

